<script setup lang="ts">
import { useGame } from '@/stores/game';
import Tile from '@/components/Tile.vue';
const game = useGame();


</script>


<template>
    <div id="playground">
        <div class="line" v-for="(useless,x) of 20">
            <div v-for="(bloup, y) of 20" @contextmenu.prevent="game.moveUnit(x,y)">
                <Tile   :unit="game.getUnit(x,y)" />
            </div>
        </div>

    </div>


</template>

<style scoped>
.line {
    display: flex;
    width: 100vw;
    
}
</style>